• GNOME 3.16, minor issues on applications


    After Cinnamon’s breakage on some functions (Menu, Shutdown, Applets), I decided to do some internal desktop-hopping. Between GNOME and KDE (Mate and Xfce didn’t catch my eye), I prefer GNOME, though I encountered some strange behavior regarding Avahi server, gnome-music and totem. Avahi produces an error and is not running, music and totem are really really slow when opening - talking about minutes of loading before they appear. Unfortunately I am currently testing KDE so I can’t provide any logs for now.

    All suggestions are greatly appreciated.

  • I did a fresh install a few weeks ago & Totem ( Gnome Video) stopped working after I added Nvidia driver. After all the updates, it still is broken.

  • I am using an Intel HD 4000. One thing that baffles me is that on Cinnamon both gnome-music and totem work flawlessly.

  • @Uzi
    You might be having the clutter bug. This is what i did. (being lazy, i just copied and pasted from a previous thread i started).

    See if you can open totem with

    CLUTTER_BACKEND=x11 totem
    

    Because of a bug in clutter with nvidia drivers, i added CLUTTER_BACKEND=x11 to /etc/enviroment. The bug was preventing maps, totem, and some other apps from opening. I’ve undid this tweak also, but I still get the problem. Could this issue be causing my locking problem?
    I DON’T KNOW WHAT THE DOWNSIDE TO THIS IS, SO I KEPT A POST IT NOTE TO COMMENT OUT THIS “TWEAK” LATER TO SEE IT UPDATES FIX THE ISSUE.
    REFERENCE: https://bbs.archlinux.org/viewtopic.php?id=196029

  • @SirWeazel Sorry for the late reply

    I tried your suggestion & this was the result :-
    (totem:4417): Gtk-WARNING **: Theme parsing error: gtk-dark.css:82:30: Failed to import: Error opening file: No such file or directory

    (gst-plugin-scanner:4418): GStreamer-WARNING **: Failed to load plugin ‘/usr/lib/gstreamer-1.0/libgstopencv.so’: libopencv_calib3d.so.2.4: cannot open shared object file: No such file or directory

    (gst-plugin-scanner:4418): GStreamer-WARNING **: Failed to load plugin ‘/usr/lib/gstreamer-1.0/libgstopenexr.so’: libIlmImf-Imf_2_1.so.21: cannot open shared object file: No such file or directory

    (gst-plugin-scanner:4418): GStreamer-WARNING **: Failed to load plugin ‘/usr/lib/gstreamer-1.0/libgstkate.so’: libkate.so.1: cannot open shared object file: No such file or directory

    (gst-plugin-scanner:4418): GLib-GObject-WARNING **: cannot register existing type ‘ClutterGstVideoSink’

    (gst-plugin-scanner:4418): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion ‘G_TYPE_IS_INSTANTIATABLE (instance_type)’ failed

    (gst-plugin-scanner:4418): GLib-CRITICAL **: g_once_init_leave: assertion ‘result != 0’ failed

    (gst-plugin-scanner:4418): GStreamer-CRITICAL **: gst_element_register: assertion ‘g_type_is_a (type, GST_TYPE_ELEMENT)’ failed

    (totem:4417): Gdk-ERROR **: The program ‘totem’ received an X Window System error.
    This probably reflects a bug in the program.
    The error was ‘BadMatch (invalid parameter attributes)’.
    (Details: serial 396 error_code 8 request_code 154 (GLX) minor_code 31)
    (Note to programmers: normally, X errors are reported asynchronously;
    that is, you will receive the error a while after causing it.
    To debug your program, run it with the GDK_SYNCHRONIZE environment
    variable to change this behavior. You can then get a meaningful
    backtrace from your debugger if you break on the gdk_x_error() function.)

  • BTW my previous thread on the subject http://forum.antergos.com/topic/2049/solved-gnome-video-how-to-reinstall the command

    CLUTTER_BACKEND=x11 totem &

    works but gives this readout before it launches Totem:-

    totem:4773): Gtk-WARNING **: Theme parsing error: gtk-dark.css:82:30: Failed to import: Error opening file: No such file or directory

    (totem:4773): Gtk-WARNING **: Theme parsing error: gtk-dark.css:82:30: Failed to import: Error opening file: No such file or directory

    (totem:4773): GLib-GObject-WARNING **: The property GtkCellRendererPixbuf:follow-state is deprecated and shouldn’t be used anymore. It will be removed in a future version.

    (totem:4773): GLib-GObject-WARNING **: The property GtkAlignment:xalign is deprecated and shouldn’t be used anymore. It will be removed in a future version.

    (totem:4773): GLib-GObject-WARNING **: The property GtkAlignment:yalign is deprecated and shouldn’t be used anymore. It will be removed in a future version.

    (totem:4773): GLib-GObject-WARNING **: The property GtkAlignment:xscale is deprecated and shouldn’t be used anymore. It will be removed in a future version.

    (totem:4773): GLib-GObject-WARNING **: The property GtkAlignment:yscale is deprecated and shouldn’t be used anymore. It will be removed in a future version.

    (totem:4773): GLib-GObject-WARNING **: The property GtkAlignment:top-padding is deprecated and shouldn’t be used anymore. It will be removed in a future version.

    (totem:4773): GLib-GObject-WARNING **: The property GtkAlignment:bottom-padding is deprecated and shouldn’t be used anymore. It will be removed in a future version.

    (totem:4773): GLib-GObject-WARNING **: The property GtkAlignment:left-padding is deprecated and shouldn’t be used anymore. It will be removed in a future version.

    (totem:4773): GLib-GObject-WARNING **: The property GtkAlignment:right-padding is deprecated and shouldn’t be used anymore. It will be removed in a future version.

    (totem:4773): GLib-GObject-WARNING **: The property SoupSession:ssl-ca-file is deprecated and shouldn’t be used anymore. It will be removed in a future version.
    libva info: VA-API version 0.37.0
    libva info: va_getDriverName() returns 0
    libva info: Trying to open /usr/lib/dri/nvidia_drv_video.so
    libva info: va_openDriver() returns -1
    libva info: VA-API version 0.37.0
    libva info: va_getDriverName() returns 0
    libva info: Trying to open /usr/lib/dri/nvidia_drv_video.so
    libva info: va_openDriver() returns -1
    libva info: VA-API version 0.37.0
    libva info: va_getDriverName() returns -1
    libva error: va_getDriverName() failed with unknown libva error,driver_name=(null)

  • @Uzi My advise is to not waste time fighting with Totem and install VLC instead. You’ll be glad you did, trust me :wink:

    sudo pacman -S vlc
    
  • @lots.0.logs said:

    @Uzi My advise is to not waste time fighting with Totem and install VLC instead. You’ll be glad you did, trust me :wink:

    sudo pacman -S vlc
    

    I use SMplayer. Have done for ages. Like the controls better than VLC & its never failed me on any format. I just liked Totem too.

  • totem 3.10.1 was the greatest; that is what is specially packaged for Ubuntu and Linux Mint even though gnome consider it ‘out of date’. (Sadly even Debian 8 has gotten 3.14, and the non-LTS Ubuntu has switched to it as well). Nowadays it is really bad.

    mpv is another alternative besides smplayer or vlc. At least for quickly loading and light memory use since it has no gui but just some key functions and basic onscreen display. VLC seems a bit too heavy unless you absolutely need the extra features or hate using the keyboard.

  • I don’t find VLC to be “heavy”, though I’ll admit that I’m not concerned much with an app being heavy. I have plenty system resources to go around hehe :sunglasses: The reason I use VLC is simple. It has all the features that I need and above all else it has never failed to play a video regardless of the format (provided the video was not corrupted of course. With a corrupted video it wouldnt matter which player you used as none would play it).

  • First of all thank you all for your answers! So to summarise, I should use a different player, my pick is of course VLC. Do you believe it’s a bug of totem and gnome - music? I didn’t had the time to check GNOME again? Maybe I should turn back to Cinnamon…

  • @Noctem Yes, its absolutely a bug. If I had to make a guess, I’d say the bug is somewhere in the gtk bindings for gstreamer (both Totem and Gnome Music rely on those bindings). Anyway, you be fine with VLC so no worries :smile:

  • @lots.0.logs said:

    @Uzi My advise is to not waste time fighting with Totem and install VLC instead. You’ll be glad you did, trust me :wink:

    I couldn’t agree more

    Intel NUC D54250WYK, 16 Gb RAM, 1 Tb SSD
    Multi -boot (no MS-Win &no UEFI) Legacy MBR with GPT

gnome242 Posts 13Views 3297
Log in to reply